Bug 741318 - Page refreshes after clicking back, erasing any comments made
Summary: Page refreshes after clicking back, erasing any comments made
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs
Version: 3.6
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: ---
Assignee: Simon Green
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-26 15:04 UTC by David Spalding
Modified: 2015-01-20 00:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-30 03:05:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 652427 None None None Never

Description David Spalding 2011-09-26 15:04:10 UTC
Description of problem:
If you submit a comment and have a mid-air collision, clicking back in browser 
takes you to the page with comment, but then a delayed refresh (5-10 seconds)
refreshes the page, erasing any comment the user put in

Version-Release number of selected component (if applicable):
current

How reproducible:
always


Steps to Reproduce:
1. Load a bug. Have another user load the bug.
2. User A types a long comment into the bug. 
3. User B updates another field (CC, status, Version, whatever.
4. User A Submits changes.
5. User A gets a mid-air collision page warning. 
6. User A clicks back button or BACK in browser. 
7. Page loads initially but...
  
Actual results:
Page refreshes (cannot be prevented in FF 3) unexpectedly, and User A's comments
are lost irretrievably. :( 


Expected results:
Page should not refresh without user input.  

Additional info:

Setting this high priority as it has regularly caused loss of time and effort 
during sprint planning and other activities where more than one person are 
viewing or editing bugs. 

User cannot copy/cut the comment text fast enough. Have tried this a few times, and the browser prevents completion of cut/copy action while reloading.

Comment 1 Simon Green 2011-11-30 03:05:11 UTC
This was fixed upstream, and will be part of our Bugzilla 4.0.2 release.


Note You need to log in before you can comment on or make changes to this bug.